Subject: Re: linux-next: build failure after merge of the block tree

From: Matias Bjørling <[email-masked]>
Date: Thu, 3 Dec 2015 09:39:01 +0100

On 12/02/2015 10:07 PM, Jens Axboe wrote:
> On 12/02/2015 09:45 AM, Christoph Hellwig wrote:
>> Looks like I didn't test with CONFIG_NVM enabled, and neither did
>> the build bot.
>>
>> Most of this is really weird crazy shit in the lighnvm support, though.
>>
>> Struct nvme_ns is a structure for the NVM I/O command set, and it has
>> no business poking into it.  Second this commit:
>>
>> commit 47b3115ae7b799be8b77b0f024215ad4f68d6460
>> Author: Wenwei Tao <[email-masked]>
>> Date:   Fri Nov 20 13:47:55 2015 +0100
>>
>>      nvme: lightnvm: use admin queues for admin cmds
>>
>> Does even more crazy stuff.  If a function gets a request_queue parameter
>> passed it'd better use that and not look for another one.

A little crazy yes. The reason is that the NVMe admin queues and NVMe 
user queues are driven by different request queues. Previously this was 
patched up with having two queues in the lightnvm core. One for admin 
and another for user. But was later merged into a single queue.

We can pass both request queues into lightnvm core, but I prefer to 
handle it in some good way in the nvme-lightnvm integration.